//
//  LearnTests.swift
//  LearnTests
//
//  Created by Mohammad Azam on 1/9/25.
//

import Testing
@testable import Learn

struct LearnTests {

    @Test func APRServiceCallsCreditScoreServiceWhenCalculatingAPR() async throws {
        
        var mockCreditScoreService = MockCreditScoreService()
        
        await confirmation("APRService did not call CreditScoreService.", expectedCount: 1) { confirmation in
            
            mockCreditScoreService.onGetCreditScore = { ssn in
                confirmation()
                return 720
            }
            
            let aprService = APRService(creditScoreService: mockCreditScoreService)
            let apr = await aprService.getAPR(ssn: "123-34-4456")
            #expect(apr == 5.0)
        }
        
    }

}
